# Class Exception

#### Direct known subclasses

Mandrill_Error

#### Indirect known subclasses

Mandrill_HttpError, Mandrill_Invalid_CustomDNS, Mandrill_IP_ProvisionLimit, Mandrill_Metadata_FieldLimit, Mandrill_NoSendingHistory, Mandrill_PaymentRequired, Mandrill_PoorReputation, Mandrill_ServiceUnavailable, Mandrill_Unknown_Export, Mandrill_Unknown_InboundDomain, Mandrill_Unknown_InboundRoute, Mandrill_Unknown_IP, Mandrill_Invalid_CustomDNSPending, Mandrill_Unknown_Message, Mandrill_Unknown_MetadataField, Mandrill_Unknown_Pool, Mandrill_Unknown_Sender, Mandrill_Unknown_Subaccount, Mandrill_Unknown_Template, Mandrill_Unknown_TrackingDomain, Mandrill_Unknown_Url, Mandrill_Unknown_Webhook, Mandrill_ValidationError, Mandrill_Invalid_DeleteDefaultPool, Mandrill_Invalid_DeleteNonEmptyPool, Mandrill_Invalid_EmptyDefaultPool, Mandrill_Invalid_Key, Mandrill_Invalid_Reject, Mandrill_Invalid_Tag_Name, Mandrill_Invalid_Template
PHP Extension: Core
Documented at php.net

Methods summary
`public` | # `__construct( mixed $message, mixed $code, mixed $previous )`
`final public` | # `getMessage( )`
`final public` | # `getCode( )`
`final public` | # `getFile( )`
`final public` | # `getLine( )`
`final public` | # `getTrace( )`
`final public` | # `getPrevious( )`
`final public` | # `getTraceAsString( )`
`public` | # `__toString( )`

Properties summary
`protected string` | $message | `''` | #
`protected integer` | $code | `0` | #
`protected mixed` | $file | `` | #
`protected mixed` | $line | `` | #